/*
 * Copyright (c) 2009 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.commons.tags;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.jsp.JspWriter;

import com.mysema.commons.fluxml.XMLWriter;

/**
 * Renders links like the a tag, but outputs only the link body if, the link refers to the requested page itself
 *
 * @author tiwe
 * @version $Id$
 */
public class link_tag extends a_tag{
    
    @Override
    protected void createLinkMarkup(JspWriter out, HttpServletRequest request, String href, String link, String bodyContent) throws IOException {
        String requestUri = request.getRequestURI();
        if (requestUri.endsWith(href)){
            XMLWriter writer = new XMLWriter(out);
            writer.begin("span").attribute("class", "active");
            writer.printRaw(bodyContent);
            writer.end("span");
//            out.print(bodyContent);
        }else{
            super.createLinkMarkup(out, request, href, link, bodyContent);
        }
    }
}
