/*
 * Copyright (c) 2009 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.commons.tags;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.SimpleTagSupport;

import com.mysema.commons.web.ContextURL;

/**
 * 
 * url_tag provides an enhanced version of the url tag from the JSTL standard library
 * 
 * @author tiwe
 * @version $Id$
 *
 */
public final class url_tag extends SimpleTagSupport {
    
    private boolean absolute, secure, l10n;

    private String value;

    public void doTag() throws JspException, java.io.IOException {
        PageContext jspContext = (PageContext) getJspContext();
        HttpServletRequest request = (HttpServletRequest) jspContext.getRequest();
        HttpServletResponse response = (HttpServletResponse) jspContext.getResponse();
        if (l10n){
            if (value.contains("?"))
                value += "&locale="+request.getLocale().getLanguage();
            else
                value += "?locale="+request.getLocale().getLanguage();
        }
        jspContext.getOut().print(ContextURL.resolve(request, response, value, absolute, secure));
    }

    public void setAbsolute(Boolean absolute) {
        this.absolute = absolute != null ? absolute.booleanValue() : false;
    }

    public void setSecure(Boolean secure) {
        this.secure = secure != null ? secure.booleanValue() : false;
    }

    public void setValue(String value) {
        this.value = value;
    }
    
    public void setL10n(boolean l10n){
        this.l10n = l10n;
    }
}
